\name{Mean1Dim}
\alias{Mean1Dim}
\title{
  Averages A Matrix Along A Dimension
}
\description{
  Averages the matrix var along the posdim dimension between limits [1] and 
  limits [2] if limits argument is provided by the user.
}
\usage{
  Mean1Dim(var, posdim, narm = TRUE, limits = NULL)
}
\arguments{
  \item{var}{
    Matrix to average.
  }
  \item{posdim}{
    Dimension to average along.
  }
  \item{narm}{
    Ignore NA (TRUE) values or not (FALSE).
  }
  \item{limits}{
    Limits to average between.
  }
}
\value{
  Matrix with one dimension less than the input one containing the average along posdim dimension.
}
\examples{
  startDates <- c('19901101', '19951101', '20001101')
  sampleData <- Load('tos', c('i00k'), c('ERSST'),  startDates,
                     nleadtime = 124, leadtimemin = 1, leadtimemax = 60, 
                     sampleperiod = 3, output = 'lonlat', latmin = -60,
                     latmax = 65, lonmin = 315, lonmax = 360)
  dim_to_mean <- 2  # Mean along members
  print(dim(Mean1Dim(sampleData$mod, dim_to_mean)))
}
\author{
  History:
  0.1  -  2011-04  (V. Guemas, \email{virginie.guemas@ic3.cat})  -  Original code
  1.0  -  2013-09  (N. Manubens, \email{nicolau.manubens@ic3.cat})  -  Formatting to R CRAN
}
\keyword{datagen}
